# getAllDistinct

inline fun < T : Any > ERROR CLASS: Symbol not found for Scope. getAllDistinct (): ERROR CLASS: Ambiguity: distinct, [kotlin/collections/distinct, kotlin/collections/distinct, kotlin/collections/distinct, kotlin/collections/distinct, kotlin/collections/distinct, kotlin/collections/distinct, kotlin/collections/distinct, kotlin/collections/distinct, kotlin/collections/distinct, kotlin/collections/distinct, kotlin/sequences/distinct](source)

Retrieves all instances of type T from the current Scope and returns them as a distinct list. This function is useful when you want to avoid duplicate instances of the same type.

#### Return

A list of distinct instances of type T

#### Type Parameters

T

The type of instances to retrieve

inline fun < T : Any > ERROR CLASS: Symbol not found for Koin. getAllDistinct (): ERROR CLASS: Ambiguity: distinct, [kotlin/collections/distinct, kotlin/collections/distinct, kotlin/collections/distinct, kotlin/collections/distinct, kotlin/collections/distinct, kotlin/collections/distinct, kotlin/collections/distinct, kotlin/collections/distinct, kotlin/collections/distinct, kotlin/collections/distinct, kotlin/sequences/distinct](source)

Retrieves all instances of type T from the Koin container and returns them as a distinct list. This function is useful when you want to avoid duplicate instances of the same type.

#### Return

A list of distinct instances of type T

#### Type Parameters

T

The type of instances to retrieve